DEVCLASS_GET_DRIVERS(9)

NAME
devclass_get_drivers - get a list of drivers in a devclass

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
int
devclass_get_drivers(devclass_t dc, driver_t ***listp, int *countp);

DESCRIPTION
Retrieve a list of pointers to all driver instances currently in the devclass and return the list in *listp and the number of drivers in the list in *countp. The memory allocated for the list should be freed using free(*listp, M_TEMP), even if *countp is 0.

RETURN VALUES
Zero is returned on success, otherwise an appropriate error is returned.

SEE ALSO
devclass(9), device(9)

AUTHORS
This manual page was written by Nate Lawson.